GCLOUD_CONTAINER_CLUSTERS_UPDATE(1)

NAME

gcloud container clusters update - update cluster settings for an existing container cluster

SYNOPSIS

gcloud container clusters update NAME (--generate-password | --monitoring-service=MONITORING_SERVICE | --set-password | --update-addons=[ADDON=ENABLED|DISABLED,...]) [--async] [--node-pool=NODE_POOL] [--zone=ZONE, -z ZONE] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
Update cluster settings for an existing container cluster.

POSITIONAL ARGUMENTS

    NAME
        The name of the cluster to update.

REQUIRED FLAGS
Exactly one of these must be specified:

    --generate-password
        Ask the server to generate a secure password and use that as the admin password.

    --monitoring-service=MONITORING_SERVICE
        The monitoring service to use for the cluster. Options are: "monitoring.googleapis.com" (the Google Cloud Monitoring service), "none" (no metrics will be exported from the cluster)

    --set-password
        Set the admin password to the user specified value.

    --update-addons=[ADDON=ENABLED|DISABLED,...]
        Cluster addons to enable or disable. Options are HorizontalPodAutoscaling=ENABLED|DISABLED HttpLoadBalancing=ENABLED|DISABLED

OPTIONAL FLAGS

    --async
        Don't wait for the operation to complete.

    --node-pool=NODE_POOL
        Node pool to be updated.

    --zone=ZONE, -z ZONE
        The compute zone (e.g. us-central1-a) for the cluster. Overrides the default compute/zone property value for this command invocation.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.